Package org.flowable.bpmn.model

# Class SendEventServiceTask

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.FlowNode
org.flowable.bpmn.model.Activity
org.flowable.bpmn.model.Task
org.flowable.bpmn.model.TaskWithFieldExtensions
org.flowable.bpmn.model.ServiceTask
org.flowable.bpmn.model.SendEventServiceTask

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`

public class SendEventServiceTask extends ServiceTask

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<IOParameter>`
  `eventInParameters`
  `protected List<IOParameter>`
  `eventOutParameters`
  `protected String`
  `eventType`
  `protected boolean`
  `sendSynchronously`
  `protected String`
  `triggerEventType`

  ### Fields inherited from class org.flowable.bpmn.model.ServiceTask

  `CAMEL, CASE_TASK, customProperties, DMN_TASK, extensionId, EXTERNAL_WORKER_TASK, EXTERNAL_WORKER_TASK_LEGACY, HTTP_TASK, implementation, implementationType, MAIL_TASK, operationRef, resultVariableName, SEND_EVENT_TASK, SHELL_TASK, skipExpression, storeResultVariableAsTransient, triggerable, type, useLocalScopeForResultVariable`

  ### Fields inherited from class org.flowable.bpmn.model.TaskWithFieldExtensions

  `fieldExtensions`

  ### Fields inherited from class org.flowable.bpmn.model.Activity

  `boundaryEvents, dataInputAssociations, dataOutputAssociations, defaultFlow, failedJobRetryTimeCycleValue, forCompensation, ioSpecification, loopCharacteristics, mapExceptions`

  ### Fields inherited from class org.flowable.bpmn.model.FlowNode

  `asynchronous, asynchronousLeave, asynchronousLeaveNotExclusive, behavior, incomingFlows, notExclusive, outgoingFlows`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendEventServiceTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SendEventServiceTask`
  `clone()`
  `List<IOParameter>`
  `getEventInParameters()`
  `List<IOParameter>`
  `getEventOutParameters()`
  `String`
  `getEventType()`
  `String`
  `getTriggerEventType()`
  `boolean`
  `isSendSynchronously()`
  `void`
  `setEventInParameters(List<IOParameter> eventInParameters)`
  `void`
  `setEventOutParameters(List<IOParameter> eventOutParameters)`
  `void`
  `setEventType(String eventType)`
  `void`
  `setSendSynchronously(boolean sendSynchronously)`
  `void`
  `setTriggerEventType(String triggerEventType)`
  `void`
  `setValues(SendEventServiceTask otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.ServiceTask

  `getCustomProperties, getExtensionId, getImplementation, getImplementationType, getOperationRef, getResultVariableName, getSkipExpression, getType, isExtended, isStoreResultVariableAsTransient, isTriggerable, isUseLocalScopeForResultVariable, setCustomProperties, setExtensionId, setImplementation, setImplementationType, setOperationRef, setResultVariableName, setSkipExpression, setStoreResultVariableAsTransient, setTriggerable, setType, setUseLocalScopeForResultVariable, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.TaskWithFieldExtensions

  `getFieldExtensions, setFieldExtensions`

  ### Methods inherited from class org.flowable.bpmn.model.Activity

  `getBoundaryEvents, getDataInputAssociations, getDataOutputAssociations, getDefaultFlow, getFailedJobRetryTimeCycleValue, getIoSpecification, getLoopCharacteristics, getMapExceptions, hasMultiInstanceLoopCharacteristics, isForCompensation, setBoundaryEvents, setDataInputAssociations, setDataOutputAssociations, setDefaultFlow, setFailedJobRetryTimeCycleValue, setForCompensation, setIoSpecification, setLoopCharacteristics, setMapExceptions, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowNode

  `getBehavior, getIncomingFlows, getOutgoingFlows, isAsynchronous, isAsynchronousLeave, isAsynchronousLeaveExclusive, isAsynchronousLeaveNotExclusive, isExclusive, isNotExclusive, setAsynchronous, setAsynchronousLeave, setAsynchronousLeaveExclusive, setAsynchronousLeaveNotExclusive, setBehavior, setExclusive, setIncomingFlows, setNotExclusive, setOutgoingFlows, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### eventType

    protected String eventType

  - ### triggerEventType

    protected String triggerEventType

  - ### sendSynchronously

    protected boolean sendSynchronously

  - ### eventInParameters

    protected List<IOParameter> eventInParameters

  - ### eventOutParameters

    protected List<IOParameter> eventOutParameters

- ## Constructor Details

  - ### SendEventServiceTask

    public SendEventServiceTask()

- ## Method Details

  - ### getEventType

    public String getEventType()

  - ### setEventType

    public void setEventType(String eventType)

  - ### getTriggerEventType

    public String getTriggerEventType()

  - ### setTriggerEventType

    public void setTriggerEventType(String triggerEventType)

  - ### isSendSynchronously

    public boolean isSendSynchronously()

  - ### setSendSynchronously

    public void setSendSynchronously(boolean sendSynchronously)

  - ### getEventInParameters

    public List<IOParameter> getEventInParameters()

  - ### setEventInParameters

    public void setEventInParameters(List<IOParameter> eventInParameters)

  - ### getEventOutParameters

    public List<IOParameter> getEventOutParameters()

  - ### setEventOutParameters

    public void setEventOutParameters(List<IOParameter> eventOutParameters)

  - ### clone

    public SendEventServiceTask clone()
    Overrides:
      `clone` in class `ServiceTask`

  - ### setValues

    public void setValues(SendEventServiceTask otherElement)